Как да инсталирам Wine на Ubuntu 18.04 LTS?

Вино

Вино е популярен безплатен софтуер с отворен код което позволява на потребителите да стартират приложения на Windows на Linux и други подобни на Unix операционни системи. За да бъда малко по-техничен, Wine това е слой за съвместимост; превежда системни обаждания от Windows на Linux и използва някои Windows библиотеки под формата на .dll файлове.

За хората, които мигрират от Linux, много вероятно се нуждаят от някакъв софтуер или игра на Windows, които не са налични или нямат еквивалент в Linux. Wine прави възможно стартирането на тези програми и игри на Windows на вашия работен плот на Linux.

Вино това е един от най-добрите начини за стартиране на приложения на Windows на Linux. В допълнение, винената общност има много подробна база данни за приложения, ние я намираме като AppDB съдържа повече от 25,000 XNUMX програми и игри, класирани по тяхната съвместимост с Wine:

  • Платинени приложения- Инсталира и работи безпроблемно в готов за употреба Wine инсталация
  • Златни приложения- работи безупречно с някои специални настройки като замествания на DLL, други настройки или със софтуер на трети страни
  • Сребърни приложения- Те работят с незначителни проблеми, които не засягат типичната употреба, например игра може да се изпълнява в един играч, но не и в мултиплейър.
  • Бронзови приложения- Тези приложения работят, но имат забележими проблеми, дори при редовна употреба. Те може да са по-бавни, отколкото би трябвало, да имат проблеми с потребителския интерфейс или да нямат специфични функции.
  • Нежелани приложения- Общността показа, че тези приложения не могат да се използват с Wine. Те може да не се инсталират, да не стартират или да започнат с толкова много грешки, че е невъзможно да се използват.

Преди да инсталирате Wine, трябва да решим дали искаме най-новата стабилна версия или версията за разработка.

Стабилната версия има по-малко грешки и по-висока стабилност, но поддържа по-малко приложения за Windows. The версия за разработка предлага по-добра съвместимост, но има повече неразрешени грешки.

Ако искате да имате най-новата версия на стабилната серия Wine, засега имаме версия 3.0.

Инсталиране на Wine на Ubuntu 18.04

 

За да го инсталирате в нашата система те трябва да отворят терминал натискане на "CTRL + ALT + T" или от работния плот и изпълнете следните команди, за да го инсталирате.

Първата стъпка ще бъде активирането на 32-битовата архитектура, че дори ако системата ни е 64 бита, извършването на тази стъпка ни спестява много проблеми, които обикновено се случват, за това пишем на терминала:

sudo dpkg --add-architecture i386

Сега трябва да импортираме ключовете и да ги добавим към системата с тази команда:

wget -nc https://dl.winehq.org/wine-builds/Release.key
sudo apt-key add Release.key

Готово сега ще добавим следното хранилище към систематаВ момента няма хранилище за Ubuntu 18.04 LTS, но можем да използваме хранилището от предишната версия, което ще работи перфектно, за това пишем в терминала:

sudo apt-add-repository https://dl.winehq.org/wine-builds/ubuntu/

sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ artful main'

И накрая, Просто трябва да напишем следната команда, за да инсталираме Wine на нашите компютри, това е да инсталирате стабилната версия на Wine 3.0:

sudo apt-get install --install-recommends winehq-stable

Сега ние също имаме достъп до клона за развитие на вино, който съдържа много повече функции и подобрения от 3.0, като проблемът е версията за разработка е, че рискуваме да имаме някои грешки при изпълнението.

Логота на Flash и Linux
Свързана статия:
Неизпълнени зависимости

Pero ако искате да го инсталирате, която в момента е в ход, е версията Wine 3.7 за инсталиране просто трябва да бягате:

sudo apt-get install --install-recommends winehq-devel

Готово инсталирането Трябва само да изпълните тази команда, за да проверите дали е инсталирана успешно и знайте каква версия сте инсталирали:

wine --version

Там, където беше стабилната версия, ще получите отговор като този:

wine-3.0

Как да деинсталирам Wine от Ubuntu 18.04 LTS?

Ако искате да деинсталирате Wine от вашата система по някаква причина, sПросто трябва да изпълните следните команди.

Деинсталирайте стабилната версия:

sudo apt purge winehq-stable

sudo apt-get remove wine-stable

sudo apt-get autoremove

Деинсталирайте версията за разработка:

sudo apt purge winehq-devel

sudo apt-get remove wine-devel

sudo apt-get autoremove

Съдържанието на статията се придържа към нашите принципи на редакторска етика. За да съобщите за грешка, щракнете върху тук.

43 коментара, оставете своя

Оставете вашия коментар

Вашият имейл адрес няма да бъде публикуван.

*

*

  1. Отговорен за данните: Мигел Анхел Гатон
  2. Предназначение на данните: Контрол на СПАМ, управление на коментари.
  3. Легитимация: Вашето съгласие
  4. Съобщаване на данните: Данните няма да бъдат съобщени на трети страни, освен по законово задължение.
  5. Съхранение на данни: База данни, хоствана от Occentus Networks (ЕС)
  6. Права: По всяко време можете да ограничите, възстановите и изтриете информацията си.

  1.   Хорхе Ариел Утело каза той

    Единственото приложение, което искам от Windows, или поддържа вино ...

  2.   Исус каза той

    във втората стъпка получавам синтактична грешка близо до неочаквания елемент `newline 'как да го реша? Благодаря ти

  3.   Хулио каза той

    точка за изясняване, командата «sudo apt-add-repository https://dl.winehq.org/wine-builds/ubuntu/»Не може да се използва през 18.04, тъй като в адреса липсва папка Bionic, за това командата sudo« apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ изкусно главно '», което го замества.
    Опитах първата команда и тя доведе до постоянна грешка в хранилището, която трябваше да премахна ръчно от Софтуер и актуализации

    1.    Даниел Перес каза той

      Това ми се случи същото като юли и получих това в Ubuntu 18.04:

      daniel @ daniel-X45C: ~ $ sudo apt-get update

      Игна: 1 http://dl.google.com/linux/chrome/deb стабилен InRelease
      Des: 2 http://dl.google.com/linux/chrome/deb стабилно освобождаване [1 189 B]
      Des: 3 http://dl.google.com/linux/chrome/deb стабилен Release.gpg [819 B]
      Des: 4 http://security.ubuntu.com/ubuntu bionic-security InRelease [83.2 kB]
      Обект: 5 http://mx.archive.ubuntu.com/ubuntu бионичен InRelease
      Игна: 6 https://dl.winehq.org/wine-builds/ubuntu бионичен InRelease
      Des: 7 http://mx.archive.ubuntu.com/ubuntu bionic-актуализации InRelease [83.2 kB]
      Des: 8 https://dl.winehq.org/wine-builds/ubuntu изкусен InRelease [4 701 B]
      Des: 9 http://dl.google.com/linux/chrome/deb стабилни / основни пакети amd64 [1 370 B]
      Грешка: 10 https://dl.winehq.org/wine-builds/ubuntu бионично освобождаване
      404 Не е намерен [IP: 151.101.196.69 443]
      Грешка: 8 https://dl.winehq.org/wine-builds/ubuntu изкусен InRelease
      Следните подписи не можаха да бъдат проверени, тъй като публичният им ключ не е наличен: NO_PUBKEY 818A435C5FCBF54A
      Обект: 11 http://mx.archive.ubuntu.com/ubuntu bronic-backports InRelease
      Des: 12 http://security.ubuntu.com/ubuntu bionic-security / main amd64 DEP-11 Метаданни [204 B]
      Des: 13 http://mx.archive.ubuntu.com/ubuntu bionic-updates / main i386 Packages [58.8 kB]
      Des: 14 http://security.ubuntu.com/ubuntu bionic-security / universe amd64 DEP-11 Метаданни [2 456 B]
      Des: 15 http://security.ubuntu.com/ubuntu бионична сигурност / вселена DEP-11 64 × 64 икони [29 B]
      Des: 16 http://mx.archive.ubuntu.com/ubuntu bionic-updates / main amd64 Packages [59.3 kB]
      Des: 17 http://mx.archive.ubuntu.com/ubuntu bionic-updates / main Превод-bg [21.6 kB]
      Des: 18 http://mx.archive.ubuntu.com/ubuntu bionic-updates / main amd64 DEP-11 Метаданни [9 092 B]
      Des: 19 http://mx.archive.ubuntu.com/ubuntu bionic-актуализации / основни DEP-11 64 × 64 икони [8 689 B]
      Des: 20 http://mx.archive.ubuntu.com/ubuntu bionic-Updates / Universe i386 пакети [28.2 kB]
      Des: 21 http://mx.archive.ubuntu.com/ubuntu bionic-актуализации / вселена amd64 пакети [28.2 kB]
      Des: 22 http://mx.archive.ubuntu.com/ubuntu bionic-актуализации / вселена amd64 DEP-11 метаданни [5 716 B]
      Des: 23 http://mx.archive.ubuntu.com/ubuntu bionic-актуализации / вселена DEP-11 64 × 64 икони [14.8 kB]
      Четене на списък с пакети ... Готово
      Д: Хранилището „https://dl.winehq.org/wine-builds/ubuntu bionic Release“ няма файл за публикуване.
      N: Не можете да актуализирате от хранилище като това безопасно и следователно е деактивирано по подразбиране.
      N: Вижте ръководството apt-secure (8) за подробности относно създаването на хранилища и конфигурирането на потребители.
      W: GPG грешка: https://dl.winehq.org/wine-builds/ubuntu изкусен InRelease: Следните подписи не можаха да бъдат проверени, тъй като публичният им ключ не е наличен: NO_PUBKEY 818A435C5FCBF54A
      Д: Хранилището „https://dl.winehq.org/wine-builds/ubuntu изкусно InRelease“ не е подписано.
      N: Не можете да актуализирате от хранилище като това безопасно и следователно е деактивирано по подразбиране.
      N: Вижте ръководството apt-secure (8) за подробности относно създаването на хранилища и конфигурирането на потребители.
      daniel @ daniel-X45C: ~ $

  4.   Блато каза той

    Имате предвид, че второто хранилище работи? Същото нещо ми се случи, трябваше да премахна хранилището ръчно, защото не ми позволяваше да правя актуализации, единственото нещо, което не можах да направя, е да премахна доставчика на пакети WineHQ в Софтуер и актуализации в "Удостоверяване", знаете ли как Мога ли да го премахна?

  5.   Айорос каза той

    Благодаря за данните, истината много ми помогна

  6.   Дейвид Мансила каза той

    Здравейте, изпълних всички стъпки и Wine не се появява в списъка с инсталирани програми, макар че ако сложа $ wine –version
    тогава да се появява

    вино-3.13
    Така че не знам какъв е проблемът, първо пробвах стабилната версия, след това тази и не мога да я видя

  7.   PIPO каза той

    вижте, че търсех помощ за kali linux не за ubuntu>: v ate el pipo: v

  8.   Алфонсо каза той

    Грейс другарю @, но за програмата Windos, от която се нуждая, ме пита .NET Framework

    имаш още един асо в ръкава си, 😉

    Благодаря.

  9.   гилермо веласкес варгас каза той

    Благодаря за приноса. Аз съм нов в Linux. Моля, помогнете ми. Вижте, инсталирах виното, както споменахте, и то беше инсталирано. Само както беше през терминала, не беше създаден пряк достъп. Вече го намерих с locate, но Искам директен достъп

  10.   Диего каза той

    Благодаря ви много, много ми помогна. Поздрави от Уругвай

  11.   ДЖИГИ каза той

    ЗДРАВЕТЕ: МНОГО БЛАГОДАРЯ, АМИ МИ ОБСЛУЖИ ОБЩО, ИНСТАЛИРАХ ВСИЧКИ БЛАГОДАРИ.

  12.   Matias каза той

    Здравейте, добре е да попитам дали някой му се е случвал, че когато стартираме софтуер win2 и искаме да плъзнем и пуснем файл, не е възможно, обяснявам: Вече имам инсталирана програмата, тя е музикален плейър (radioboss ) с вино имам музиката в дисковете и искам да я намеря, плъзгам и пускам върху плейъра и няма да ми позволи. Ако някой знае решението, благодаря.

    И поздрави от Мендоса, Аржентина.

  13.   Мануел Белтран каза той

    когато искам да инсталирам програма за Windows във вино, получавам следното съобщение;

    фатална грешка
    инсталацията приключи преждевременно поради грешка

    Има ли нещо, което съм сгрешил при инсталирането на вино или какъв провал ще бъде?

  14.   322. Снежни сенки каза той

    Това ми помогна благодаря

  15.   Хосе Вега каза той

    Лека нощ

    Направих цялата процедура, но когато му дадете кода за инсталиране на резултата е:

    * следните пакети са с прекъснати зависимости:
    winehq-stable: Зависи: wine-stable (= 5.0.0 bionic)
    Д: Проблемите не могат да бъдат коригирани, запазили сте счупени пакети.

    1.    Диего каза той

      Хосе, как върви? Имах същия проблем. Успяхте ли да го поправите?

  16.   самфуртадо каза той

    КАКВО ПОСТИГНЯХА YHHHHHHHH YOLO # XD 🙂 😉

    1.    Женя PS каза той

      Как най-накрая го направихте?

  17.   Томас каза той

    След изпълнението на всички процеси, последният команден ред казва:

    вино: не може да се намери L »C: \\ windows \\ system32 \\ PROGRAM.exe»

    И Wine не изглежда инсталиран. Кое може да бъде?

  18.   Кеншюра каза той

    sudo dpkg –add-архитектура i386
    sudo apt актуализация
    sudo apt-add-repository -r 'deb https://dl.winehq.org/wine-builds/ubuntu/ бионичен главен '
    wget -nv https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/Release.key -O Release.key
    sudo apt-key add - <Release.key
    sudo apt-add-repository 'deb https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/ ./ '
    Sudo актуализация ап-да
    sudo apt install –install-препоръчва winehq-stable

    фиксиран за LUBUNTU 18.04 LTS
    FUENTE: https://askubuntu.com/questions/1205550/cant-install-wine-on-ubuntu-actually-lubuntu-18-04

  19.   Paul каза той

    Четене на списък с пакети ... Готово
    Създаване на дърво на зависимостите
    Четене на информацията за състоянието ... Готово
    Не мога да инсталирам някакъв пакет. Това може да означава това
    сте поискали невъзможна ситуация или, ако използвате дистрибуцията
    нестабилен, че някои необходими пакети все още не са създадени или са
    Излязоха от „Входящи“.
    Следната информация може да помогне за разрешаването на ситуацията:

    Следните пакети имат неудовлетворени зависимости:
    winehq-stable: Зависи: wine-stable (= 5.0.0 ~ бионичен)
    Д: Проблемите не могат да бъдат коригирани, запазили сте счупени пакети.
    защо получавам това?

    1.    Даниел каза той

      Същото се случва и на мен, успяхте ли да го разрешите?

    2.    Пабло каза той

      Същото нещо се случи и на мен, ще ви оставя поправката

      ако нямате aptitude, инсталирайте го със sudo apt-get aptitude и след това sudo apt-get update

      накрая инсталирайте вино:

      sudo aptitude инсталирате winehq-stable

      след това стартирайте това ръководство

      https://help.ubuntu.com/community/Wine - winecfg

  20.   шими каза той

    Здравейте, имам ubuntu mate 18.04 и не мога да инсталирам вино, получавам това:

    shimmy @ shimmy-Aspire-A315-33: ~ $ sudo apt-key добави winehq.key
    OK
    shimmy @ shimmy-Aspire-A315-33: ~ $ sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ бионичен главен '
    Обект: 1 http://es.archive.ubuntu.com/ubuntu бионичен InRelease
    Обект: 2 http://ppa.launchpad.net/gregory-hainaut/pcsx2.official.ppa/ubuntu бионичен InRelease
    Обект: 3 http://es.archive.ubuntu.com/ubuntu bionic-актуализации InRelease
    Игна: 4 https://dl.winehq.org/wine-builds/ubuntu страхотно InRelease
    Обект: 5 https://brave-browser-apt-release.s3.brave.com бионичен InRelease
    Обект: 6 https://dl.winehq.org/wine-builds/ubuntu eoan InRelease
    Обект: 7 http://es.archive.ubuntu.com/ubuntu bronic-backports InRelease
    Обект: 8 http://security.ubuntu.com/ubuntu InRelease от bionic-security
    Обект: 9 https://dl.winehq.org/wine-builds/ubuntu бионичен InRelease
    Обект: 10 https://dl.winehq.org/wine-builds/ubuntu изкусен InRelease
    Обект: 11 http://ppa.launchpad.net/lah7/ubuntu-mate-colours/ubuntu бионичен InRelease
    Грешка: 12 https://dl.winehq.org/wine-builds/ubuntu страхотно издание
    404 Не е намерен [IP: 151.101.134.217 443]
    Обект: 13 http://repository.spotify.com стабилен InRelease
    Четене на списък с пакети ... Готово
    Д: Хранилището „https://dl.winehq.org/wine-builds/ubuntu great Release“ няма файл за публикуване.
    N: Не можете да актуализирате от хранилище като това безопасно и следователно е деактивирано по подразбиране.
    N: Вижте ръководството apt-secure (8) за подробности относно създаването на хранилища и конфигурирането на потребители.

    Как да го реша?
    Благодаря ви!

    1.    муфлус каза той

      Здравейте! решихте ли го ??
      същото се случва и на мен ...

  21.   CoffeeRobot каза той

    Каква команда ми трябва, за да отворя вино от терминала? Бях го използвал и преди, но вече не го помня и не е регистрирано в терминала. ако някой знае командата може ли да ми помогне?

  22.   спиране каза той

    yusmar @ yusmar-Задвижван от Intel-съученик-компютър: ~ $ sudo apt-get install –install-препоръчва winehq-stable
    Четене на списък с пакети ... Готово
    Създаване на дърво на зависимостите
    Четене на информацията за състоянието ... Готово
    Не мога да инсталирам някакъв пакет. Това може да означава това
    сте поискали невъзможна ситуация или, ако използвате дистрибуцията
    нестабилен, че някои необходими пакети все още не са създадени или са
    Излязоха от „Входящи“.
    Следната информация може да помогне за разрешаването на ситуацията:

    Следните пакети имат неудовлетворени зависимости:
    winehq-stable: Зависи: wine-stable (= 5.0.1 ~ бионичен)
    Д: Проблемите не могат да бъдат коригирани, запазили сте счупени пакети.

    Как мога да го коригирам?

    1.    Roberto каза той

      Здравейте, опитах 3 пъти и винаги споменавам, Д: Не можах да поправя проблеми, държите счупени пакети. Инсталирах Synaptic, за да мога да ги премахна, но не го прави правилно. Ако знаете нещо за преодоляване на проблема, ще го оценя.

  23.   JSTB каза той

    Има ли проблем с инсталирането на Wine от софтуера ubuntu? извинете за невежеството, аз съм нов в linux.

  24.   Салгадо.официален каза той

    Благодаря <3
    Използвах вашия метод през 2020 г. и той работи перфектно за мен

  25.   златист каза той

    Направих всичко по същия начин и пропуснах грешката и продължих по същия начин и много неща ми се изтеглят.
    Надявам се изобщо да не е злонамерено.

    1.    Lykos каза той

      Използвате ли lts версията? в случай че инсталирате мухите на 18.10, отидете на 18.04 lts, ​​тя има дългосрочна поддръжка.
      Виното ми даде много драма, когато бях в 18.10, отидох до 18.04 lts и това е скъпоценен камък

  26.   Лукас Леваджи каза той

    но получавам този поглед на E: изпълнението на dpkg беше прекъснато, трябва ръчно да изпълните "sudo dpkg –configure -a", за да коригирате проблема

  27.   Хосе каза той

    МНОГО БЛАГОДАРЯ

  28.   ghostgamer каза той

    Много ми хареса, инсталирах го и играя fnaf заради това, брато, благодаря

  29.   ензипро каза той

    Получавам това Следните пакети имат неизпълнени зависимости:
    winehq-stable: Зависи: wine-stable (= 6.0.0 ~ bionic-1)
    Д: Проблемите не могат да бъдат коригирани, запазили сте счупени пакети.

  30.   Пабло каза той

    Здравейте Най-накрая успях да инсталирам Wine на моя Linux Ubuntu 18.04

    Получавах грешката зависи от bionic и т.н., когато се опитвах да инсталирам, така че трябваше да я инсталирам чрез aptitude с командата

    sudo aptitude инсталирате winehq-stable

    и ми се получи 😀

    след това следвайте стъпките от това ръководство

    https://help.ubuntu.com/community/Wine

    Именно когато пуснах winecfg в терминала, с облекчение най-накрая успях да му се насладя.

    Както и да е, просто исках да допринеса за това знание, поздрави

  31.   Хуан Пабло каза той

    Получавам вино 6.0 и в лентата с приложения не получавам вино

    1.    Бенджамин каза той

      Трябва да щракнете с десния бутон, да отворите с друго приложение и да изберете вино 😀

  32.   rafacg каза той

    Вярно е, че Wine не е перфектно, но ми помага да стартирам програмите, с които работя в Windows тук в Linux.

  33.   Бенджамин каза той

    се нуждае от много неща, за да функционира и вие ядете хранилище ...

  34.   хххххх каза той

    да, имам вино на компютъра си